Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] libfprint: update to 1.90.6
@ 2020-12-20 19:45 notthewave
  2020-12-20 19:53 ` ericonr
                   ` (32 more replies)
  0 siblings, 33 replies; 34+ messages in thread
From: notthewave @ 2020-12-20 19:45 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 646 bytes --]

There is a new pull request by notthewave against master on the void-packages repository

https://github.com/notthewave/void-packages master
https://github.com/void-linux/void-packages/pull/27311

libfprint: update to 1.90.6
Builds successfully on x86_64. 
Tried building on aarch64, but it probably needs to be patched. I can't do that as I lack the experience/knowledge :/

fails with
`/usr/aarch64-linux-gnu/usr/bin/g-ir-scanner: line 10: /usr/bin/g-ir-scanner.wrapped: No such file or directory`

BTW this package hasn't been touched in a year.

A patch file from https://github.com/void-linux/void-packages/pull/27311.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-master-27311.patch --]
[-- Type: text/x-diff, Size: 1768 bytes --]

From f513ad428f6648ff1d3faf6243e44e3c68a0e251 Mon Sep 17 00:00:00 2001
From: notthewave <74874782+notthewave@users.noreply.github.com>
Date: Sun, 20 Dec 2020 19:33:51 +0000
Subject: [PATCH] update to 1.90.6

---
 srcpkgs/libfprint/template | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/libfprint/template b/srcpkgs/libfprint/template
index ae22b871f3d..4e7019dc040 100644
--- a/srcpkgs/libfprint/template
+++ b/srcpkgs/libfprint/template
@@ -1,19 +1,19 @@
 # Template file for 'libfprint'
 pkgname=libfprint
-version=1.0
+version=1.90.6
 revision=1
-wrksrc="libfprint-V_${version//./_}"
+wrksrc="libfprint-v${version}"
 build_style=meson
 configure_args="-Dudev_rules=false -Dx11-examples=false -Dgtk-examples=false -Ddoc=false"
-hostmakedepends="pkg-config"
-makedepends="libusb-devel nss-devel glib-devel gdk-pixbuf-devel pixman-devel"
+hostmakedepends="pkg-config cmake glib-devel"
+makedepends="gobject-introspection libgusb-devel libusb-devel nss-devel glib-devel gdk-pixbuf-devel pixman-devel"
 short_desc="Support for consumer fingerprint reader devices"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.freedesktop.org/wiki/Software/fprint/"
 changelog="https://gitlab.freedesktop.org/libfprint/libfprint/raw/master/NEWS"
-distfiles="https://gitlab.freedesktop.org/libfprint/libfprint/-/archive/V_${version//./_}/libfprint-V_${version//./_}.tar.bz2"
-checksum=22777a1d202ef912395b94842ae6b531338c8d48a8a813616e846b1bc96c5ad9
+distfiles="https://gitlab.freedesktop.org/libfprint/libfprint/-/archive/v${version}/libfprint-v${version}.tar.bz2"
+checksum=ca6199ece086c0042d16ab432783ee989a733f27ecceeef2b48c075ceb503972
 
 post_install() {
 	vmkdir usr/lib/udev/rules.d

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
@ 2020-12-20 19:53 ` ericonr
  2020-12-20 20:01 ` notthewave
                   ` (31 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: ericonr @ 2020-12-20 19:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 184 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748656054

Comment:
Try adding `build_helper=gir` to the build.

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
  2020-12-20 19:53 ` ericonr
@ 2020-12-20 20:01 ` notthewave
  2020-12-20 20:43 ` [PR PATCH] [Updated] " notthewave
                   ` (30 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-20 20:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 169 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748663960

Comment:
Yes this indeed worked :)

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: [PR PATCH] [Updated] libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
  2020-12-20 19:53 ` ericonr
  2020-12-20 20:01 ` notthewave
@ 2020-12-20 20:43 ` notthewave
  2020-12-20 20:54 ` notthewave
                   ` (29 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-20 20:43 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 651 bytes --]

There is an updated pull request by notthewave against master on the void-packages repository

https://github.com/notthewave/void-packages master
https://github.com/void-linux/void-packages/pull/27311

libfprint: update to 1.90.6
Builds successfully on x86_64. 
Tried building on aarch64, but it probably needs to be patched. I can't do that as I lack the experience/knowledge :/

fails with
`/usr/aarch64-linux-gnu/usr/bin/g-ir-scanner: line 10: /usr/bin/g-ir-scanner.wrapped: No such file or directory`

BTW this package hasn't been touched in a year.

A patch file from https://github.com/void-linux/void-packages/pull/27311.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-master-27311.patch --]
[-- Type: text/x-diff, Size: 1813 bytes --]

From 7cb63d6605582a29b3e7b02a58782ca9bbfc31f2 Mon Sep 17 00:00:00 2001
From: notthewave <74874782+notthewave@users.noreply.github.com>
Date: Sun, 20 Dec 2020 19:33:51 +0000
Subject: [PATCH] added build_helper=gir for cross-compiling

---
 srcpkgs/libfprint/template | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/libfprint/template b/srcpkgs/libfprint/template
index ae22b871f3d..2509e188bce 100644
--- a/srcpkgs/libfprint/template
+++ b/srcpkgs/libfprint/template
@@ -1,19 +1,20 @@
 # Template file for 'libfprint'
 pkgname=libfprint
-version=1.0
+version=1.90.6
 revision=1
-wrksrc="libfprint-V_${version//./_}"
+wrksrc="libfprint-v${version}"
 build_style=meson
+build_helper=gir
 configure_args="-Dudev_rules=false -Dx11-examples=false -Dgtk-examples=false -Ddoc=false"
-hostmakedepends="pkg-config"
-makedepends="libusb-devel nss-devel glib-devel gdk-pixbuf-devel pixman-devel"
+hostmakedepends="pkg-config cmake glib-devel"
+makedepends="gobject-introspection libgusb-devel libusb-devel nss-devel glib-devel gdk-pixbuf-devel pixman-devel"
 short_desc="Support for consumer fingerprint reader devices"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.freedesktop.org/wiki/Software/fprint/"
 changelog="https://gitlab.freedesktop.org/libfprint/libfprint/raw/master/NEWS"
-distfiles="https://gitlab.freedesktop.org/libfprint/libfprint/-/archive/V_${version//./_}/libfprint-V_${version//./_}.tar.bz2"
-checksum=22777a1d202ef912395b94842ae6b531338c8d48a8a813616e846b1bc96c5ad9
+distfiles="https://gitlab.freedesktop.org/libfprint/libfprint/-/archive/v${version}/libfprint-v${version}.tar.bz2"
+checksum=ca6199ece086c0042d16ab432783ee989a733f27ecceeef2b48c075ceb503972
 
 post_install() {
 	vmkdir usr/lib/udev/rules.d

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (2 preceding siblings ...)
  2020-12-20 20:43 ` [PR PATCH] [Updated] " notthewave
@ 2020-12-20 20:54 ` notthewave
  2020-12-20 20:55 ` notthewave
                   ` (28 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-20 20:54 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 326 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748669564

Comment:
Now x86_64-musl and arm6l-musl fails, claiming that gobject-introspection-1.64.1_1 can't be installed despite it being present in the repository for both architectures. What's wrong?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (3 preceding siblings ...)
  2020-12-20 20:54 ` notthewave
@ 2020-12-20 20:55 ` notthewave
  2020-12-20 20:58 ` notthewave
                   ` (27 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-20 20:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 310 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748669564

Comment:
Now arm6l-musl fails, claiming that gobject-introspection-1.64.1_1 can't be installed despite it being present in the repository for that architectures. What's wrong?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (4 preceding siblings ...)
  2020-12-20 20:55 ` notthewave
@ 2020-12-20 20:58 ` notthewave
  2020-12-20 21:02 ` ericonr
                   ` (26 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-20 20:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 309 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748669564

Comment:
Now arm6l-musl fails, claiming that gobject-introspection-1.64.1_1 can't be installed despite it being present in the repository for that architecture. What's wrong?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (5 preceding siblings ...)
  2020-12-20 20:58 ` notthewave
@ 2020-12-20 21:02 ` ericonr
  2020-12-20 21:04 ` notthewave
                   ` (25 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: ericonr @ 2020-12-20 21:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 238 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748670508

Comment:
gtk dependencies are wonky right now, I'm working on fixing them. I will re-run CI when I'm done.

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (6 preceding siblings ...)
  2020-12-20 21:02 ` ericonr
@ 2020-12-20 21:04 ` notthewave
  2020-12-20 21:36 ` notthewave
                   ` (24 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-20 21:04 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 162 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748670646

Comment:
Ok thanks :smile: 

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (7 preceding siblings ...)
  2020-12-20 21:04 ` notthewave
@ 2020-12-20 21:36 ` notthewave
  2020-12-20 21:42 ` ericonr
                   ` (23 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-20 21:36 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 195 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748674101

Comment:
I'll try to update fprintd as well in the meantime.

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (8 preceding siblings ...)
  2020-12-20 21:36 ` notthewave
@ 2020-12-20 21:42 ` ericonr
  2020-12-21  0:37 ` sgn
                   ` (22 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: ericonr @ 2020-12-20 21:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 242 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748674723

Comment:
I won't restart CI, since I assume you're going to push new things. It should be working now, though.

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (9 preceding siblings ...)
  2020-12-20 21:42 ` ericonr
@ 2020-12-21  0:37 ` sgn
  2020-12-21  6:07 ` notthewave
                   ` (21 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: sgn @ 2020-12-21  0:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 256 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748698257

Comment:
There was some work here: https://github.com/void-linux/void-packages/pull/24809 
Please help to pick them up.
Thanks

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (10 preceding siblings ...)
  2020-12-21  0:37 ` sgn
@ 2020-12-21  6:07 ` notthewave
  2020-12-21  6:11 ` ericonr
                   ` (20 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21  6:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 230 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748780112

Comment:
Alright didn't see that. Must've overlooked it somehow. Should I CI skip in that case?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (11 preceding siblings ...)
  2020-12-21  6:07 ` notthewave
@ 2020-12-21  6:11 ` ericonr
  2020-12-21  6:12 ` ericonr
                   ` (19 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: ericonr @ 2020-12-21  6:11 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 194 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748781999

Comment:
Nope, CI is pretty fast. Please take advantage of it!

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: libfprint: update to 1.90.6
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (12 preceding siblings ...)
  2020-12-21  6:11 ` ericonr
@ 2020-12-21  6:12 ` ericonr
  2020-12-21 17:52 ` fprint: update to 1.90.x notthewave
                   ` (18 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: ericonr @ 2020-12-21  6:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 251 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-748781999

Comment:
Nope, CI is pretty fast. Please take advantage of it to show us build results! (It helps a lot when reviewing)

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (13 preceding siblings ...)
  2020-12-21  6:12 ` ericonr
@ 2020-12-21 17:52 ` notthewave
  2020-12-21 17:55 ` notthewave
                   ` (17 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 17:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 373 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749109691

Comment:
I built pam_wrapper (necessary for fprintd) 'apparently' successfully, but when trying to build `fprintd` afterwards it's listed as a missing dependency. (build fails)
What do I need to do that fprint can use it as a dependency?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (14 preceding siblings ...)
  2020-12-21 17:52 ` fprint: update to 1.90.x notthewave
@ 2020-12-21 17:55 ` notthewave
  2020-12-21 18:01 ` ericonr
                   ` (16 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 17:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 375 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749109691

Comment:
I built `pam_wrapper` (necessary for fprintd) 'apparently' successfully, but when trying to build `fprintd` afterwards it's listed as a missing dependency. (build fails)
What do I need to do that fprint can use it as a dependency?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (15 preceding siblings ...)
  2020-12-21 17:55 ` notthewave
@ 2020-12-21 18:01 ` ericonr
  2020-12-21 18:01 ` ericonr
                   ` (15 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: ericonr @ 2020-12-21 18:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 204 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749113648

Comment:
Where can I find `pam_wrapper`? Can you show what you're doing.

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (16 preceding siblings ...)
  2020-12-21 18:01 ` ericonr
@ 2020-12-21 18:01 ` ericonr
  2020-12-21 18:03 ` notthewave
                   ` (14 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: ericonr @ 2020-12-21 18:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 204 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749113648

Comment:
Where can I find `pam_wrapper`? Can you show what you're doing?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (17 preceding siblings ...)
  2020-12-21 18:01 ` ericonr
@ 2020-12-21 18:03 ` notthewave
  2020-12-21 18:04 ` notthewave
                   ` (13 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 18:03 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 228 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749114657

Comment:
I'm using more or less the same files that sgn included in their pullrequest #24809 

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (18 preceding siblings ...)
  2020-12-21 18:03 ` notthewave
@ 2020-12-21 18:04 ` notthewave
  2020-12-21 18:06 ` notthewave
                   ` (12 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 18:04 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 186 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749115229

Comment:
Built it without python3-pypamtest for now

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (19 preceding siblings ...)
  2020-12-21 18:04 ` notthewave
@ 2020-12-21 18:06 ` notthewave
  2020-12-21 18:11 ` notthewave
                   ` (11 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 18:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 289 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749115229

Comment:
Built it without python3-pypamtest for now
Btw it's not inclued in my pullrequest as of now. Should push regardless of failing (fprintd) builds?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (20 preceding siblings ...)
  2020-12-21 18:06 ` notthewave
@ 2020-12-21 18:11 ` notthewave
  2020-12-21 18:12 ` notthewave
                   ` (10 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 18:11 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 291 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749115229

Comment:
Built it without python3-pypamtest for now
Btw it's not inclued in my pullrequest as of now. Should commit regardless of failing (fprintd) builds?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (21 preceding siblings ...)
  2020-12-21 18:11 ` notthewave
@ 2020-12-21 18:12 ` notthewave
  2020-12-21 18:13 ` notthewave
                   ` (9 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 18:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 293 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749115229

Comment:
Built it without python3-pypamtest for now
Btw it's not inclued in my pullrequest as of now. Should I commit regardless of failing (fprintd) builds?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (22 preceding siblings ...)
  2020-12-21 18:12 ` notthewave
@ 2020-12-21 18:13 ` notthewave
  2020-12-21 18:57 ` notthewave
                   ` (8 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 18:13 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 291 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749115229

Comment:
Built it without python3-pypamtest for now
Btw it's not inclued in my pullrequest as of now. Should I push regardless of failing (fprintd) builds?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (23 preceding siblings ...)
  2020-12-21 18:13 ` notthewave
@ 2020-12-21 18:57 ` notthewave
  2020-12-21 20:50 ` notthewave
                   ` (7 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 18:57 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 243 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749114657

Comment:
I'm using more or less the same files that sgn included in their pullrequest #24809 (no musl patch)

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (24 preceding siblings ...)
  2020-12-21 18:57 ` notthewave
@ 2020-12-21 20:50 ` notthewave
  2020-12-21 21:02 ` [PR PATCH] [Updated] " notthewave
                   ` (6 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 20:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 197 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749115229

Comment:
Should I push regardless of failing (fprintd) builds?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: [PR PATCH] [Updated] fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (25 preceding siblings ...)
  2020-12-21 20:50 ` notthewave
@ 2020-12-21 21:02 ` notthewave
  2020-12-22 12:37 ` sgn
                   ` (5 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-21 21:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 648 bytes --]

There is an updated pull request by notthewave against master on the void-packages repository

https://github.com/notthewave/void-packages master
https://github.com/void-linux/void-packages/pull/27311

fprint: update to 1.90.x
Builds successfully on x86_64. 
Tried building on aarch64, but it probably needs to be patched. I can't do that as I lack the experience/knowledge :/

fails with
`/usr/aarch64-linux-gnu/usr/bin/g-ir-scanner: line 10: /usr/bin/g-ir-scanner.wrapped: No such file or directory`

BTW this package hasn't been touched in a year.

A patch file from https://github.com/void-linux/void-packages/pull/27311.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-master-27311.patch --]
[-- Type: text/x-diff, Size: 6487 bytes --]

From 510ac0b8d319b8e2cf7bf32ec6b0e8682e3e88a2 Mon Sep 17 00:00:00 2001
From: notthewave <74874782+notthewave@users.noreply.github.com>
Date: Sun, 20 Dec 2020 19:33:51 +0000
Subject: [PATCH] template fptintd and it's dependency pam_wrapper

---
 common/shlibs                |  4 +++-
 srcpkgs/fprintd/template     | 40 ++++++++++++++----------------------
 srcpkgs/libfprint/template   | 13 ++++++------
 srcpkgs/pam_wrapper/template | 24 ++++++++++++++++++++++
 srcpkgs/python3-pypamtest    |  1 +
 5 files changed, 50 insertions(+), 32 deletions(-)
 create mode 100644 srcpkgs/pam_wrapper/template
 create mode 120000 srcpkgs/python3-pypamtest

diff --git a/common/shlibs b/common/shlibs
index d22e78c0051..5c7bc21a56b 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -1577,7 +1577,7 @@ libtcmalloc.so.4 gperftools-2.1_1
 libaio.so.1 libaio-0.3.109_1
 libofx.so.7 libofx-0.9.11_1
 libsigsegv.so.2 libsigsegv-2.10_2
-libfprint.so.0 libfprint-0.5.1_1
+libfprint-2.so.2 libfprint-1.90.6.1_1
 libwx_baseu_xml-3.0.so.0 wxWidgets-common-3.0.4_1
 libwx_baseu-3.0.so.0 wxWidgets-common-3.0.4_1
 libwx_gtk2_adv-3.0.so.0 wxWidgets-3.0.0_1
@@ -3985,6 +3985,8 @@ libneatvnc.so.0 neatvnc-0.3.2_1
 libtdjson.so.1.7.0 libtd-1.7.0_1
 libJudy.so.1 judy-1.0.5_1
 libsignal-protocol-c.so.2 libsignal-protocol-c-2.3.3_2
+libpamtest.so.0 pam_wrapper-1.1.3_1
+libpam_wrapper.so.0 pam_wrapper-1.1.3_1
 libSeExpr2Editor.so.3 seexpr-krita-3.4.4.0_1
 libSeExpr2.so.3 seexpr-krita-3.4.4.0_1
 liburing.so.1 liburing-0.7_1
diff --git a/srcpkgs/fprintd/template b/srcpkgs/fprintd/template
index 11e0922ea43..b7adb592f65 100644
--- a/srcpkgs/fprintd/template
+++ b/srcpkgs/fprintd/template
@@ -1,36 +1,26 @@
 # Template file for 'fprintd'
 pkgname=fprintd
-version=0.9.0
-revision=3
-wrksrc="fprintd-V_${version//./_}"
-build_style=gnu-configure
-configure_args="--sysconfdir=/etc/${pkgname} --disable-static --without-systemdsystemunitdir"
-conf_files="/etc/fprintd/fprintd.conf"
-hostmakedepends="autoconf automake dbus-glib-devel gettext-devel glib-devel gtk-doc intltool libtool m4 pkg-config"
-makedepends="dbus-devel dbus-glib-devel gettext-devel glib-devel libfprint-devel pam-devel polkit-devel"
+version=1.90.8
+revision=1
+wrksrc="fprintd-v${version}"
+build_style=meson
+configure_args="--sysconfdir=/etc/fprintd -Dman=true -Dgtk_doc=false
+-Dpam_modules_dir=/usr/lib/security -Dsystemd_system_unit_dir=/not-systemd"
+hostmakedepends="meson cmake dbus-glib-devel gettext-devel glib-devel intltool
+ pkg-config perl"
+makedepends="dbus-devel dbus-glib-devel gettext-devel glib-devel libxslt-devel
+ libfprint-devel pam-devel polkit-devel cairo-devel elogind-devel python3-cairo python3-dbus python3-dbusmock"
 short_desc="Daemon that provides fingerprint scanning functionality"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://www.freedesktop.org/wiki/Software/fprint/"
-distfiles="https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/V_${version//./_}/fprintd-V_${version//./_}.tar.bz2"
-checksum=3bfbf870a3c333a0a1f08287b2b8501c34fd347faac8c1d52bd0d64ab3474d8e
-lib32disabled=yes
+distfiles="https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/v${version}/fprintd-v${version}.tar.bz2"
+checksum=7f39777b858142730ac89ffa41c0d2dc1a26a01535291f3f5f9b3adb2d28ffc9
 
-CFLAGS="-fcommon"
-
-pre_configure() {
-	glib-gettextize -c -f
-	gtkdocize --copy
-	intltoolize -c -f
-	libtoolize -c
-	aclocal
-	autoconf
-	autoheader
-	automake -a -c
+post_patch() {
+	vsed -i -e "/^systemd_dep *=/d" meson.build
 }
 
 post_install() {
-	mv $DESTDIR/etc/$pkgname/dbus-1 $DESTDIR/usr/share/dbus-1
-	vmkdir usr/share/dbus-1/system.d
-	mv $DESTDIR/usr/share/dbus-1/dbus-1/system.d/net.reactivated.Fprint.conf $DESTDIR/usr/share/dbus-1/system.d/
+	rm -rf $DESTDIR/not-systemd
 }
diff --git a/srcpkgs/libfprint/template b/srcpkgs/libfprint/template
index ae22b871f3d..2509e188bce 100644
--- a/srcpkgs/libfprint/template
+++ b/srcpkgs/libfprint/template
@@ -1,19 +1,20 @@
 # Template file for 'libfprint'
 pkgname=libfprint
-version=1.0
+version=1.90.6
 revision=1
-wrksrc="libfprint-V_${version//./_}"
+wrksrc="libfprint-v${version}"
 build_style=meson
+build_helper=gir
 configure_args="-Dudev_rules=false -Dx11-examples=false -Dgtk-examples=false -Ddoc=false"
-hostmakedepends="pkg-config"
-makedepends="libusb-devel nss-devel glib-devel gdk-pixbuf-devel pixman-devel"
+hostmakedepends="pkg-config cmake glib-devel"
+makedepends="gobject-introspection libgusb-devel libusb-devel nss-devel glib-devel gdk-pixbuf-devel pixman-devel"
 short_desc="Support for consumer fingerprint reader devices"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.freedesktop.org/wiki/Software/fprint/"
 changelog="https://gitlab.freedesktop.org/libfprint/libfprint/raw/master/NEWS"
-distfiles="https://gitlab.freedesktop.org/libfprint/libfprint/-/archive/V_${version//./_}/libfprint-V_${version//./_}.tar.bz2"
-checksum=22777a1d202ef912395b94842ae6b531338c8d48a8a813616e846b1bc96c5ad9
+distfiles="https://gitlab.freedesktop.org/libfprint/libfprint/-/archive/v${version}/libfprint-v${version}.tar.bz2"
+checksum=ca6199ece086c0042d16ab432783ee989a733f27ecceeef2b48c075ceb503972
 
 post_install() {
 	vmkdir usr/lib/udev/rules.d
diff --git a/srcpkgs/pam_wrapper/template b/srcpkgs/pam_wrapper/template
new file mode 100644
index 00000000000..85f1d498611
--- /dev/null
+++ b/srcpkgs/pam_wrapper/template
@@ -0,0 +1,24 @@
+# Template file for 'pam_wrapper'
+pkgname=pam_wrapper
+version=1.1.3
+revision=1
+build_style=cmake
+configure_args="-DCMAKE_BUILD_TYPE=None -DUNIT_TESTING=ON"
+hostmakedepends="cmake"
+makedepends="python3-devel pam-devel cmocka-devel"
+short_desc="Tool to test PAM applications and modules"
+maintainer="Đoàn Trần Công Danh <congdanhqx@gmail.com>"
+license="GPL-3.0-or-later"
+homepage="https://cwrap.org/pam_wrapper.html"
+distfiles="https://www.samba.org/ftp/cwrap/pam_wrapper-${version}.tar.gz"
+checksum=4feedd788c6fa36516f6d6060482cd86455998d72849eb5f539de48915bdc5f3
+lib32disabled=yes
+
+python3-pypamtest_package() {
+	lib32disabled=yes
+	short_desc+=" - Python 3 bindings"
+	depends="${sourcepkg}-${version}_${revision} python3"
+	pkg_install() {
+		vmove usr/lib/python*
+	}
+}
diff --git a/srcpkgs/python3-pypamtest b/srcpkgs/python3-pypamtest
new file mode 120000
index 00000000000..3ea00f9d1ad
--- /dev/null
+++ b/srcpkgs/python3-pypamtest
@@ -0,0 +1 @@
+pam_wrapper
\ No newline at end of file

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (26 preceding siblings ...)
  2020-12-21 21:02 ` [PR PATCH] [Updated] " notthewave
@ 2020-12-22 12:37 ` sgn
  2020-12-26 14:40 ` notthewave
                   ` (4 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: sgn @ 2020-12-22 12:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 229 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-749519971

Comment:
Please create new package for libfprintd2 since the old one is still used by other packages.

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (27 preceding siblings ...)
  2020-12-22 12:37 ` sgn
@ 2020-12-26 14:40 ` notthewave
  2020-12-27  2:02 ` sgn
                   ` (3 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-26 14:40 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 375 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-751362416

Comment:
@sgn At this point I'm confused on how to proceed with this. Could you give me a quick rundown of things I should include from your former PR? (didn't notice that some already made one) Also why did you close it in the first place?

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (28 preceding siblings ...)
  2020-12-26 14:40 ` notthewave
@ 2020-12-27  2:02 ` sgn
  2020-12-27 20:39 ` notthewave
                   ` (2 subsequent siblings)
  32 siblings, 0 replies; 34+ messages in thread
From: sgn @ 2020-12-27  2:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 792 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-751416197

Comment:
> @sgn At this point I'm confused on how to proceed with this.
> Could you give me a quick rundown of things I should include from your former PR? 

Do you mind if I reopen the old PR (I'll write your name as the author) and have you test it?

> Also why did you close it in the first place?

I was under the impression that the new fprintd supports my Thinkpad T480 (Ubuntu 20.04 supports it).
Turn out, it's Ubuntu patched fprintd to pull some shim with proprietary firmware to support my laptop.
I lost motivation and left the PR there. After sometime, I accidentally delete the branch when doing my repo cleanup
then that PR was closed. 



^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (29 preceding siblings ...)
  2020-12-27  2:02 ` sgn
@ 2020-12-27 20:39 ` notthewave
  2021-01-13 16:06 ` sgn
  2021-01-13 16:06 ` [PR PATCH] [Closed]: " sgn
  32 siblings, 0 replies; 34+ messages in thread
From: notthewave @ 2020-12-27 20:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 654 bytes --]

New comment by notthewave on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-751513394

Comment:
> Do you mind if I reopen the old PR (I'll write your name as the author) and have you test it?

No I don't, go ahead :smile: 

At first, I thought updating this would be a relatively trivial task, but looking at it now there are many things I'm not familiar with. E.g. Sub packages (when are they necessary?), etc. I'm very much  a beginner when it comes to `xbps-src` and packaging in general.
I'm fine with testing as the update includes some changes that fix an issue with my x230t (false positives)


^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (30 preceding siblings ...)
  2020-12-27 20:39 ` notthewave
@ 2021-01-13 16:06 ` sgn
  2021-01-13 16:06 ` [PR PATCH] [Closed]: " sgn
  32 siblings, 0 replies; 34+ messages in thread
From: sgn @ 2021-01-13 16:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 143 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/27311#issuecomment-759550616

Comment:
#27895

^ permalink raw reply	[flat|nested] 34+ messages in thread

* Re: [PR PATCH] [Closed]: fprint: update to 1.90.x
  2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
                   ` (31 preceding siblings ...)
  2021-01-13 16:06 ` sgn
@ 2021-01-13 16:06 ` sgn
  32 siblings, 0 replies; 34+ messages in thread
From: sgn @ 2021-01-13 16:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 487 bytes --]

There's a closed pull request on the void-packages repository

fprint: update to 1.90.x
https://github.com/void-linux/void-packages/pull/27311

Description:
Builds successfully on x86_64. 
Tried building on aarch64, but it probably needs to be patched. I can't do that as I lack the experience/knowledge :/

fails with
`/usr/aarch64-linux-gnu/usr/bin/g-ir-scanner: line 10: /usr/bin/g-ir-scanner.wrapped: No such file or directory`

BTW this package hasn't been touched in a year.

^ permalink raw reply	[flat|nested] 34+ messages in thread

end of thread, other threads:[~2021-01-13 16:06 UTC | newest]

Thread overview: 34+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-12-20 19:45 [PR PATCH] libfprint: update to 1.90.6 notthewave
2020-12-20 19:53 ` ericonr
2020-12-20 20:01 ` notthewave
2020-12-20 20:43 ` [PR PATCH] [Updated] " notthewave
2020-12-20 20:54 ` notthewave
2020-12-20 20:55 ` notthewave
2020-12-20 20:58 ` notthewave
2020-12-20 21:02 ` ericonr
2020-12-20 21:04 ` notthewave
2020-12-20 21:36 ` notthewave
2020-12-20 21:42 ` ericonr
2020-12-21  0:37 ` sgn
2020-12-21  6:07 ` notthewave
2020-12-21  6:11 ` ericonr
2020-12-21  6:12 ` ericonr
2020-12-21 17:52 ` fprint: update to 1.90.x notthewave
2020-12-21 17:55 ` notthewave
2020-12-21 18:01 ` ericonr
2020-12-21 18:01 ` ericonr
2020-12-21 18:03 ` notthewave
2020-12-21 18:04 ` notthewave
2020-12-21 18:06 ` notthewave
2020-12-21 18:11 ` notthewave
2020-12-21 18:12 ` notthewave
2020-12-21 18:13 ` notthewave
2020-12-21 18:57 ` notthewave
2020-12-21 20:50 ` notthewave
2020-12-21 21:02 ` [PR PATCH] [Updated] " notthewave
2020-12-22 12:37 ` sgn
2020-12-26 14:40 ` notthewave
2020-12-27  2:02 ` sgn
2020-12-27 20:39 ` notthewave
2021-01-13 16:06 ` sgn
2021-01-13 16:06 ` [PR PATCH] [Closed]: " sgn

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git